<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_60) on Tue Apr 26 16:24:20 CEST 2016 -->
<title>Uses of Class aasbo.json.JSONWriter</title>
<meta name="date" content="2016-04-26">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class aasbo.json.JSONWriter";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../aasbo/json/JSONWriter.html" title="class in aasbo.json">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?aasbo/json/class-use/JSONWriter.html" target="_top">Frames</a></li>
<li><a href="JSONWriter.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class aasbo.json.JSONWriter" class="title">Uses of Class<br>aasbo.json.JSONWriter</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../aasbo/json/JSONWriter.html" title="class in aasbo.json">JSONWriter</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#aasbo.json">aasbo.json</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="aasbo.json">
<!--   -->
</a>
<h3>Uses of <a href="../../../aasbo/json/JSONWriter.html" title="class in aasbo.json">JSONWriter</a> in <a href="../../../aasbo/json/package-summary.html">aasbo.json</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing subclasses, and an explanation">
<caption><span>Subclasses of <a href="../../../aasbo/json/JSONWriter.html" title="class in aasbo.json">JSONWriter</a> in <a href="../../../aasbo/json/package-summary.html">aasbo.json</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../aasbo/json/JSONStringer.html" title="class in aasbo.json">JSONStringer</a></span></code>
<div class="block">JSONStringer provides a quick and convenient way of producing JSON text.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../aasbo/json/package-summary.html">aasbo.json</a> that return <a href="../../../aasbo/json/JSONWriter.html" title="class in aasbo.json">JSONWriter</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../../aasbo/json/JSONWriter.html" title="class in aasbo.json">JSONWriter</a></code></td>
<td class="colLast"><span class="typeNameLabel">JSONWriter.</span><code><span class="memberNameLink"><a href="../../../aasbo/json/JSONWriter.html#append-java.lang.String-">append</a></span>(java.lang.String&nbsp;string)</code>
<div class="block">Append a value.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../aasbo/json/JSONWriter.html" title="class in aasbo.json">JSONWriter</a></code></td>
<td class="colLast"><span class="typeNameLabel">JSONWriter.</span><code><span class="memberNameLink"><a href="../../../aasbo/json/JSONWriter.html#array--">array</a></span>()</code>
<div class="block">Begin appending a new array.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../../aasbo/json/JSONWriter.html" title="class in aasbo.json">JSONWriter</a></code></td>
<td class="colLast"><span class="typeNameLabel">JSONWriter.</span><code><span class="memberNameLink"><a href="../../../aasbo/json/JSONWriter.html#end-char-char-">end</a></span>(char&nbsp;mode,
   char&nbsp;c)</code>
<div class="block">End something.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../aasbo/json/JSONWriter.html" title="class in aasbo.json">JSONWriter</a></code></td>
<td class="colLast"><span class="typeNameLabel">JSONWriter.</span><code><span class="memberNameLink"><a href="../../../aasbo/json/JSONWriter.html#endArray--">endArray</a></span>()</code>
<div class="block">End an array.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../aasbo/json/JSONWriter.html" title="class in aasbo.json">JSONWriter</a></code></td>
<td class="colLast"><span class="typeNameLabel">JSONWriter.</span><code><span class="memberNameLink"><a href="../../../aasbo/json/JSONWriter.html#endObject--">endObject</a></span>()</code>
<div class="block">End an object.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../aasbo/json/JSONWriter.html" title="class in aasbo.json">JSONWriter</a></code></td>
<td class="colLast"><span class="typeNameLabel">JSONWriter.</span><code><span class="memberNameLink"><a href="../../../aasbo/json/JSONWriter.html#key-java.lang.String-">key</a></span>(java.lang.String&nbsp;string)</code>
<div class="block">Append a key.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../aasbo/json/JSONWriter.html" title="class in aasbo.json">JSONWriter</a></code></td>
<td class="colLast"><span class="typeNameLabel">JSONWriter.</span><code><span class="memberNameLink"><a href="../../../aasbo/json/JSONWriter.html#object--">object</a></span>()</code>
<div class="block">Begin appending a new object.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../aasbo/json/JSONWriter.html" title="class in aasbo.json">JSONWriter</a></code></td>
<td class="colLast"><span class="typeNameLabel">JSONWriter.</span><code><span class="memberNameLink"><a href="../../../aasbo/json/JSONWriter.html#value-boolean-">value</a></span>(boolean&nbsp;b)</code>
<div class="block">Append either the value <code>true</code> or the value
 <code>false</code>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../aasbo/json/JSONWriter.html" title="class in aasbo.json">JSONWriter</a></code></td>
<td class="colLast"><span class="typeNameLabel">JSONWriter.</span><code><span class="memberNameLink"><a href="../../../aasbo/json/JSONWriter.html#value-double-">value</a></span>(double&nbsp;d)</code>
<div class="block">Append a double value.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../aasbo/json/JSONWriter.html" title="class in aasbo.json">JSONWriter</a></code></td>
<td class="colLast"><span class="typeNameLabel">JSONWriter.</span><code><span class="memberNameLink"><a href="../../../aasbo/json/JSONWriter.html#value-long-">value</a></span>(long&nbsp;l)</code>
<div class="block">Append a long value.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../aasbo/json/JSONWriter.html" title="class in aasbo.json">JSONWriter</a></code></td>
<td class="colLast"><span class="typeNameLabel">JSONWriter.</span><code><span class="memberNameLink"><a href="../../../aasbo/json/JSONWriter.html#value-java.lang.Object-">value</a></span>(java.lang.Object&nbsp;object)</code>
<div class="block">Append an object value.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../aasbo/json/JSONWriter.html" title="class in aasbo.json">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?aasbo/json/class-use/JSONWriter.html" target="_top">Frames</a></li>
<li><a href="JSONWriter.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
